{% if privexec_only %}
{%     if configuration_session %}
{%        include 'UTILITY_configure_session.j2' %}
{%     else %}
{%        include 'UTILITY_configure_terminal.j2' %}
{%     endif %}
{% endif %}
{% if ansible_network_os == 'arista.eos.eos' %}
interface Management1
   description oobMGMT_{{ inventory_hostname.split('__')[-1] }}
   vrf management
{%     if 'leaf01Verwaltung' in inventory_hostname %}
   ip address 192.168.42.11/24
{%     elif 'leaf02Werkstatt' in inventory_hostname %}
   ip address 192.168.42.12/24
{%     elif 'leaf03LagerhalleWEST' in inventory_hostname %}
   ip address 192.168.42.13/24
{%     elif 'leaf04LagerhalleOST' in inventory_hostname %}
   ip address 192.168.42.14/24
{%     endif %}
   ipv6 address auto-config
!
{% elif ansible_network_os == 'cisco.ios.ios' %}
{% elif ansible_network_os == 'community.network.ce' %}
{%     if 'huawei_vrp' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{%     if 'huawei_yunshanos' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os10.os10' %}
interface mgmt1/1/1
 description oobMGMT_{{ inventory_hostname.split('__')[-1] }}
 no shutdown
 no ip address dhcp
{%     if 'spine01' in inventory_hostname %}
 ip address 192.168.42.2/24
{%     elif 'spine02' in inventory_hostname %}
 ip address 192.168.42.3/24
{%     endif %}
 ipv6 address autoconfig
!
{% elif ansible_network_os == 'dellemc.os9.os9' %}
{% elif ansible_network_os == 'dellemc.os6.os6' %}
{% elif ansible_network_os == 'community.network.aruba' %}
{% endif %}
{% if privexec_only %}
{%     if configuration_session %}
{%         include 'UTILITY_show_session-config_diffs.j2' %}
{%         include 'UTILITY_commit.j2' %}
{%     endif %}
{%     include 'UTILITY_end.j2' %}
{% endif %}
